##### execution_context::execution_context (4 of 4 overloads)

Constructor.

    template<
        typename Allocator>
    execution_context(
        allocator_arg_t ,
        const Allocator & a,
        const service_maker & initial_services);

Construct with a service maker, to create an initial set of services that will be installed into the execution context at construction time.

###### Parameters

a

  An allocator that will be used for allocating objects that are associated with the context, such as services and internal state for I/O objects.

initial_services

  Used to create the initial services. The `make` function will be called once at the end of `execution_context` construction.